<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sun Feb 10 21:09:59 CET 2019 -->
<title>Grille</title>
<meta name="date" content="2019-02-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Grille";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../main/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Grille.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../main/Case.html" title="class in main"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../main/Interface.html" title="class in main"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?main/Grille.html" target="_top">Frames</a></li>
<li><a href="Grille.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">main</div>
<h2 title="Class Grille" class="title">Class Grille</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>main.Grille</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Iterable&lt;<a href="../main/Case.html" title="class in main">Case</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Grille</span>
extends java.lang.Object
implements java.lang.Iterable&lt;<a href="../main/Case.html" title="class in main">Case</a>&gt;</pre>
<div class="block">La grille de cases, plateau de jeu</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Valentin</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Grille.html#generateGrille-int-int-">generateGrille</a></span>(int&nbsp;initX,
              int&nbsp;initY)</code>
<div class="block">Génère les bombes ainsi que le nombre de bombes avoisinant chaque case.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../main/Case.html" title="class in main">Case</a>[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Grille.html#getGrille--">getGrille</a></span>()</code>
<div class="block">Retourne la grille</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../main/Grille.html" title="class in main">Grille</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Grille.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Retourne la seule instance de la Grille.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Grille.html#getNbBombes--">getNbBombes</a></span>()</code>
<div class="block">Retourne le nombre total de bombes dans la grille</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.Iterator&lt;<a href="../main/Case.html" title="class in main">Case</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Grille.html#iterator--">iterator</a></span>()</code>
<div class="block">Retourne un itérateur de cases sur la grille.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Grille.html#printGrille--">printGrille</a></span>()</code>
<div class="block">Affiche la grille complètement révélée dans la console.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Grille.html#setTailleGrille-int-">setTailleGrille</a></span>(int&nbsp;i)</code>
<div class="block">Constructeur de la grille.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
<code>forEach, spliterator</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="generateGrille-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateGrille</h4>
<pre>public&nbsp;void&nbsp;generateGrille(int&nbsp;initX,
                           int&nbsp;initY)</pre>
<div class="block">Génère les bombes ainsi que le nombre de bombes avoisinant chaque case.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>initX</code> - l'index de 1ere dimension de la première case sur laquelle le joueur clique dans la grille, 
 afin d'initialiser cette case à 0.</dd>
<dd><code>initY</code> - l'index de 2e dimension de la première case sur laquelle le joueur clique dans la grille, 
 afin d'initialiser cette case à 0.</dd>
</dl>
</li>
</ul>
<a name="getGrille--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGrille</h4>
<pre>public&nbsp;<a href="../main/Case.html" title="class in main">Case</a>[][]&nbsp;getGrille()</pre>
<div class="block">Retourne la grille</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la grille</dd>
</dl>
</li>
</ul>
<a name="getInstance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstance</h4>
<pre>public static&nbsp;<a href="../main/Grille.html" title="class in main">Grille</a>&nbsp;getInstance()</pre>
<div class="block">Retourne la seule instance de la Grille.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'instance de la Grille.</dd>
</dl>
</li>
</ul>
<a name="getNbBombes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbBombes</h4>
<pre>public&nbsp;int&nbsp;getNbBombes()</pre>
<div class="block">Retourne le nombre total de bombes dans la grille</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre total de bombes dans la grille</dd>
</dl>
</li>
</ul>
<a name="iterator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iterator</h4>
<pre>public&nbsp;java.util.Iterator&lt;<a href="../main/Case.html" title="class in main">Case</a>&gt;&nbsp;iterator()</pre>
<div class="block">Retourne un itérateur de cases sur la grille.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a href="../main/Case.html" title="class in main">Case</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="printGrille--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printGrille</h4>
<pre>public&nbsp;void&nbsp;printGrille()</pre>
<div class="block">Affiche la grille complètement révélée dans la console.</div>
</li>
</ul>
<a name="setTailleGrille-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setTailleGrille</h4>
<pre>public&nbsp;void&nbsp;setTailleGrille(int&nbsp;i)</pre>
<div class="block">Constructeur de la grille.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - longueur et largeur de la grille.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../main/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Grille.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../main/Case.html" title="class in main"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../main/Interface.html" title="class in main"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?main/Grille.html" target="_top">Frames</a></li>
<li><a href="Grille.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
